=== modified file 'README'
--- README	2008-10-28 18:00:20 +0000
+++ README	2009-01-04 21:54:55 +0000
@@ -160,8 +160,8 @@
 
 * Copyright
 
-    Copyright © 2008 Teddy Hogeborn
-    Copyright © 2008 Björn Påhlsson
+    Copyright © 2008,2009 Teddy Hogeborn
+    Copyright © 2008,2009 Björn Påhlsson
   
 ** License:
    

=== modified file 'debian/control'
--- debian/control	2008-09-30 03:19:39 +0000
+++ debian/control	2009-01-04 21:20:50 +0000
@@ -4,9 +4,9 @@
 Maintainer: Mandos Maintainers <mandos@fukt.bsnet.se>
 Uploaders: Teddy Hogeborn <teddy@fukt.bsnet.se>,
 	   Björn Påhlsson <belorn@fukt.bsnet.se>
-Build-Depends: debhelper (>= 7), docbook-xsl, libavahi-core-dev,
-	libgpgme11-dev, libgnutls-dev, xsltproc, po-debconf,
-	pkg-config
+Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
+	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
+	po-debconf, pkg-config
 Standards-Version: 3.8.0
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files

=== modified file 'debian/copyright'
--- debian/copyright	2008-10-15 19:54:11 +0000
+++ debian/copyright	2009-01-04 21:54:55 +0000
@@ -5,8 +5,8 @@
 Upstream-Source: <http://www.fukt.bsnet.se/mandos>
 
 Files: *
-Copyright: Copyright © 2008 Teddy Hogeborn
-Copyright: Copyright © 2008 Björn Påhlsson
+Copyright: Copyright © 2008,2009 Teddy Hogeborn
+Copyright: Copyright © 2008,2009 Björn Påhlsson
 License: GPL-3+
     This program is free software: you can redistribute it and/or
     modify it under the terms of the GNU General Public License as

=== modified file 'mandos'
--- mandos	2008-12-29 02:44:54 +0000
+++ mandos	2009-01-04 21:54:55 +0000
@@ -11,8 +11,8 @@
 # and some lines in "main".
 # 
 # Everything else is
-# Copyright © 2008 Teddy Hogeborn
-# Copyright © 2008 Björn Påhlsson
+# Copyright © 2008,2009 Teddy Hogeborn
+# Copyright © 2008,2009 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -1046,8 +1046,7 @@
                               use_dbus = use_dbus)
                        for section in client_config.sections()))
     if not clients:
-        logger.critical(u"No clients defined")
-        sys.exit(1)
+        logger.warning(u"No clients defined")
     
     if debug:
         # Redirect stdin so all checkers get /dev/null
@@ -1136,6 +1135,9 @@
                         self.ClientRemoved(object_path)
                         return
                 raise KeyError
+            @dbus.service.method(_interface)
+            def Quit(self):
+                main_loop.quit()
 
             del _interface
     

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2008-10-07 21:31:09 +0000
+++ mandos-clients.conf.xml	2009-01-04 21:54:55 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2008-10-07">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -33,6 +33,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'mandos-keygen'
--- mandos-keygen	2008-11-12 05:46:49 +0000
+++ mandos-keygen	2009-01-04 21:54:55 +0000
@@ -2,8 +2,8 @@
 # 
 # Mandos key generator - create a new OpenPGP key for a Mandos client
 # 
-# Copyright © 2008 Teddy Hogeborn
-# Copyright © 2008 Björn Påhlsson
+# Copyright © 2008,2009 Teddy Hogeborn
+# Copyright © 2008,2009 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'mandos-keygen.xml'
--- mandos-keygen.xml	2008-10-04 01:55:56 +0000
+++ mandos-keygen.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-keygen">
-<!ENTITY TIMESTAMP "2008-10-03">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2008-12-29 02:44:54 +0000
+++ mandos.conf.xml	2009-01-04 21:54:55 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2008-12-28">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -33,6 +33,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'mandos.xml'
--- mandos.xml	2008-12-29 02:44:54 +0000
+++ mandos.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2008-12-28">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -236,7 +237,8 @@
 	<listitem>
 	  <xi:include href="mandos-options.xml" xpointer="dbus"/>
 	  <para>
-	    See also <xref linkend="dbus"/>.
+	    See also <xref linkend="dbus_interface"/>.
+	  </para>
 	</listitem>
       </varlistentry>
     </variablelist>
@@ -334,7 +336,7 @@
     </para>
   </refsect1>
   
-  <refsect1 id="dbus">
+  <refsect1 id="dbus_interface">
     <title>D-BUS INTERFACE</title>
     <para>
       The server will by default provide a D-Bus system bus interface.

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2008-11-11 16:07:18 +0000
+++ plugin-runner.c	2009-01-04 21:54:55 +0000
@@ -2,8 +2,8 @@
 /*
  * Mandos plugin runner - Run Mandos plugins
  *
- * Copyright © 2008 Teddy Hogeborn
- * Copyright © 2008 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugin-runner.xml'
--- plugin-runner.xml	2008-09-30 07:23:39 +0000
+++ plugin-runner.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plugin-runner">
-<!ENTITY TIMESTAMP "2008-09-30">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2008-11-11 16:07:18 +0000
+++ plugins.d/askpass-fifo.c	2009-01-04 21:54:55 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from a FIFO and output it
  * 
- * Copyright © 2008 Teddy Hogeborn
- * Copyright © 2008 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/askpass-fifo.xml'
--- plugins.d/askpass-fifo.xml	2008-10-04 20:09:53 +0000
+++ plugins.d/askpass-fifo.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "askpass-fifo">
-<!ENTITY TIMESTAMP "2008-10-04">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2008-11-11 16:07:18 +0000
+++ plugins.d/mandos-client.c	2009-01-04 21:54:55 +0000
@@ -9,8 +9,8 @@
  * "browse_callback", and parts of "main".
  * 
  * Everything else is
- * Copyright © 2008 Teddy Hogeborn
- * Copyright © 2008 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2008-10-04 01:55:56 +0000
+++ plugins.d/mandos-client.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2008-10-03">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2008-11-11 16:07:18 +0000
+++ plugins.d/password-prompt.c	2009-01-04 21:54:55 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from the terminal and print it
  * 
- * Copyright © 2008 Teddy Hogeborn
- * Copyright © 2008 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/password-prompt.xml'
--- plugins.d/password-prompt.xml	2008-10-04 01:55:56 +0000
+++ plugins.d/password-prompt.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "password-prompt">
-<!ENTITY TIMESTAMP "2008-10-04">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2008-11-11 16:07:18 +0000
+++ plugins.d/splashy.c	2009-01-04 21:54:55 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from splashy and output it
  * 
- * Copyright © 2008 Teddy Hogeborn
- * Copyright © 2008 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/splashy.xml'
--- plugins.d/splashy.xml	2008-10-04 03:11:39 +0000
+++ plugins.d/splashy.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "splashy">
-<!ENTITY TIMESTAMP "2008-10-04">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2008-11-11 16:07:18 +0000
+++ plugins.d/usplash.c	2009-01-04 21:54:55 +0000
@@ -2,8 +2,8 @@
 /*
  * Passprompt - Read a password from usplash and output it
  * 
- * Copyright © 2008 Teddy Hogeborn
- * Copyright © 2008 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/usplash.xml'
--- plugins.d/usplash.xml	2008-10-04 03:11:39 +0000
+++ plugins.d/usplash.xml	2009-01-04 21:54:55 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "usplash">
-<!ENTITY TIMESTAMP "2008-10-04">
+<!ENTITY TIMESTAMP "2009-01-04">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -32,6 +32,7 @@
     </authorgroup>
     <copyright>
       <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

